<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ismoderna
 */

get_header();
?>
<section class="ws-section-spacing">
    <div class="container">
        <div class="row">
            
            <?php if( get_theme_mod( 'ismoderna_Page_Sidebar_Settings' ) == "No_Sidebar" ) { ?>
                <div class="col-lg-12">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'page' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div>
            <?php } ?>

            <?php if( get_theme_mod( 'ismoderna_Page_Sidebar_Settings' ) == "Right_Sidebar" ) { ?>
                <div class="col-lg-8">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'page' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div>
                <div class="col-md-4">
                    <?php get_sidebar(); ?>
                </div> 
            <?php } ?>

            <?php if( get_theme_mod( 'ismoderna_Page_Sidebar_Settings' ) == "Left_Sidebar" ) { ?>
                <div class="col-md-4">
                    <?php get_sidebar(); ?>
                </div>
                <div class="col-lg-8">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'page' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div> 
            <?php } ?>

            <?php if( ! get_theme_mod( 'ismoderna_Page_Sidebar_Settings' ) == "Right_Sidebar" and ! get_theme_mod( 'ismoderna_Page_Sidebar_Settings' ) == "Left_Sidebar" and ! get_theme_mod( 'ismoderna_Page_Sidebar_Settings' ) == "No_Sidebar" ) { ?>
                <div class="col-lg-8">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'page' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div>
                <div class="col-md-4">
                    <?php get_sidebar(); ?>
                </div> 
            <?php } ?>

        </div>
    </div>
</section>
<?php get_footer(); ?>